%global momorel 8

Summary: GNOME CUPS Manager
Name: gnome-cups-manager

Version: 0.33
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://www.gnome.org/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.33/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: samba-common
BuildRequires: glib2-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgnome-devel
BuildRequires: libglade2-devel
BuildRequires: libbonobo-devel
BuildRequires: libgnomecups-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gtk2-devel

%description
GNOME CUPS Manager

%package devel
Summary: GNOME CUPS Manager devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
GNOME CUPS Manager devel

%prep
%setup -q

%build
%configure --disable-static "LIBS=-lX11"
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/gnome-cups-*
%{_sbindir}/gnome-cups-switch
%{_libdir}/libgnomecupsui-1.0.so.*
%exclude %{_libdir}/*.la
%{_libdir}/bonobo/servers/Gnome_CupsManager.server
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%exclude %{_datadir}/icons/hicolor/48x48/stock/data
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/applications/gnome-cups-manager.desktop

%files devel
%defattr(-, root, root)
%{_includedir}/libgnomecups-1/libgnomecups/*.h
%{_libdir}/libgnomecupsui-1.0.so
%{_libdir}/pkgconfig/libgnomecupsui-1.0.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.33-8m)
- full rebuild for mo7 release

* Tue Jul 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.33-7m)
- build fix

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.33-6m)
- use BuildRequires

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.33-5m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 17 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.33-3m)
- define __libtoolize

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33-2m)
- rebuild against rpm-4.6

* Fri Apr  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.33-1m)
- update to 0.33
- delete patch0 (merged)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.31-3m)
- rebuild against gcc43

* Tue Feb 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.31-2m)
- add gcc43 patch

* Fri Feb 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.31-1m)
- initial build
